commit:     65650804093cf764eb4fac2aeaa28c452cabdbaf
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 12 09:01:48 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 13 09:06:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65650804

dev-ruby/io-wait: add 0.2.1

Extracted from dev-lang/ruby, keywords have been migrated.

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/io-wait/Manifest             |  1 +
 dev-ruby/io-wait/io-wait-0.2.1.ebuild | 28 ++++++++++++++++++++++++++++
 dev-ruby/io-wait/metadata.xml         | 11 +++++++++++
 3 files changed, 40 insertions(+)

diff --git a/dev-ruby/io-wait/Manifest b/dev-ruby/io-wait/Manifest
new file mode 100644
index 000000000000..25896ccd1cf2
--- /dev/null
+++ b/dev-ruby/io-wait/Manifest
@@ -0,0 +1 @@
+DIST io-wait-0.2.1.tar.gz 18944 BLAKE2B 
c77e0f839160d0129660003586f7785447e7b2e89df47d83ff6868bbdf1e667d432f0d84afb06b5bcc8f751c433da9c8bcd7b5fc0b701adbe2f10ae338dcacab
 SHA512 
7e914ce7d6b66fabd1799567dd448124b7c1dd266bd1ce975b24a96f18c15b7dab20d2f68a7686aa8383d518783486370225b22a07fdb3c9fddae93278282427

diff --git a/dev-ruby/io-wait/io-wait-0.2.1.ebuild 
b/dev-ruby/io-wait/io-wait-0.2.1.ebuild
new file mode 100644
index 000000000000..9a4ccbcf463c
--- /dev/null
+++ b/dev-ruby/io-wait/io-wait-0.2.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTENSIONS="ext/io/wait/extconf.rb"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="io-wait.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Waits until IO is readable or writable without blocking"
+HOMEPAGE="https://github.com/ruby/io-wait";
+SRC_URI="https://github.com/ruby/io-wait/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+       sed -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+               -e 's/git ls-files -z/find * -print0/' \
+               -i ${RUBY_FAKEGEM_GEMSPEC} || die
+       sed -e '/task :test/ s:^:#:' -i Rakefile || die
+}

diff --git a/dev-ruby/io-wait/metadata.xml b/dev-ruby/io-wait/metadata.xml
new file mode 100644
index 000000000000..8e2d4cc9ea78
--- /dev/null
+++ b/dev-ruby/io-wait/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">ruby/io-wait</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to